# $Revision: 1.35 $, $Date: 2001/12/18 19:51:18 $
#
# Conditional build:
# _without_dist_kernel		- without kernel form distribution

%define		ver 1.0
%define		rel 2313
%define		_kernel_ver %(grep UTS_RELEASE %{_kernelsrcdir}/include/linux/version.h 2>/dev/null | cut -d'"' -f2)
%define		_kernel_ver_str	%(echo %{_kernel_ver} | sed s/-/_/g)
%define		smpstr		%{?_with_smp:-smp}
%define		smp		%{?_with_smp:1}%{!?_with_smp:0}

Summary:	nVidia kernel module for nVidia Architecture support
Summary(de):	Das nVidia-Kern-Modul fr die nVidia-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi architektury nVidia
Name:		XFree86-nvidia-kernel
Version:	%{ver}.%{rel}
Release:	5
License:	NVIDIA
Vendor:		NVIDIA Corp.
Group:		Base/Kernel
Group(de):	Grundstzlich/Kern
Group(pl):	Podstawowe/Jdro
URL:		http://www.nvidia.com/Products/Drivers.nsf/Linux.html
Source0:	http://205.158.109.140/XFree86_40/%{ver}-%{rel}/NVIDIA_kernel-%{ver}-%{rel}.tar.gz
# http://www.nvidia.com/docs/lo/1017/SUPP/NVIDIA_kernel-%{ver}-%{rel}.tar.gz
# ftp://ftp1.detonator.nvidia.com/pub/drivers/english/XFree86_40/%{ver}-%{rel}/NVIDIA_kernel-%{ver}-%{rel}.tar.gz
Patch0:		%{name}-parameters.patch
%{!?_without_dist_kernel:BuildConflicts:	kernel-headers < 2.2.0}
BuildRequires:	awk
BuildRequires:	egcs
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NVIDIA Architecture support for Linux kernel 2.2.X.

%description -l de
Die NVIDIA-Architektur-Untersttzung fr den Linux-Kern 2.2.X.

%description -l pl
Obsuga architektury NVIDIA dla jdra Linuksa 2.2.X.

%package -n kernel%{smpstr}-video-nvidia
Summary:	NVIDIA kernel module for NVIDIA Architecture support
Summary(de):	Das NVIDIA-Kern-Modul fr die NVIDIA-Architektur-Untersttzung
Summary(pl):	Modu jdra dla obsugi architektury NVIDIA
Release:	%{release}@%{_kernel_ver_str}
Group:		Base/Kernel
Group(de):	Grundstzlich/Kern
Group(pl):	Podstawowe/Jdro
Requires:	dev >= 2.7.7-10
Prereq:		modutils >= 2.3.18-2
%{!?_without_dist_kernel:Conflicts:	kernel < %{_kernel_ver}, kernel > %{_kernel_ver}}
%{!?_without_dist_kernel:Conflicts:	kernel-%{?_with_smp:up}%{!?_with_smp:smp}}
Obsoletes:	XFree86-nvidia-kernel

%description -n kernel%{smpstr}-video-nvidia
NVIDIA Architecture support for Linux kernel 2.2.X.

%description -n kernel%{smpstr}-video-nvidia -l de
Die NVIDIA-Architektur-Untersttzung fr den Linux-Kern 2.2.X.

%description -n kernel%{smpstr}-video-nvidia -l pl
Obsuga architektury NVIDIA dla jdra Linuksa 2.2.X.

%prep
%setup -q -n NVIDIA_kernel-%{ver}-%{rel}
%patch0 -p1

%build
IGNORE_CC_MISMATCH=ignore; export IGNORE_CC_MISMATCH
INCLUDES="%{rpmcflags} -I."
%if %{smp}
INCLUDES="$INCLUDES -D__KERNEL_SMP=1"
%endif
%{__make} NVdriver \
	CC=kgcc \
	INCLUDES="$INCLUDES -I%{_kernelsrcdir}/include"

%install
rm -rf $RPM_BUILD_ROOT
install -Dm644 NVdriver $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/video/NVdriver.o

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{smpstr}-video-nvidia
/sbin/depmod -a

%postun	-n kernel%{smpstr}-video-nvidia
/sbin/depmod -a

%files -n kernel%{smpstr}-video-nvidia
%defattr(644,root,root,755)
/lib/modules/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: XFree86-nvidia-kernel.spec,v $
Revision 1.35  2001/12/18 19:51:18  gotar
- according to 2.1.2 Linux Exception of NVIDIA Software License it's
  legal to copy and redistibute files... I think so...

Revision 1.34  2001/12/13 08:42:51  gotar
- fixed building source packages w/o illegal sources.

Revision 1.33  2001/12/13 02:38:27  gotar
- fixed Linux name spelling.

Revision 1.32  2001/12/10 02:19:45  gotar
- made not to get sources and build without license agreement,
- release 5.

Revision 1.31  2001/11/29 23:07:14  misiek
- disable compilator checking (we are always using kgcc)

Revision 1.30  2001/11/29 15:38:55  misiek
- updated to 2313

Revision 1.29  2001/11/14 08:36:55  filon
- added _without_dist_kernel option

Revision 1.28  2001/10/16 14:24:36  qboosh
- added empty base package to remove junk from .src.rpm name
- removed Requires which are not necessary now

Revision 1.27  2001/09/20 16:41:47  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.26  2001/09/20 08:02:09  filon
- really fixed source0

Revision 1.25  2001/09/20 07:53:58  filon
- updated to 1.0-1541
- new source adress

Revision 1.24  2001/09/05 09:24:53  filon
- ver 1.0-1512

Revision 1.23  2001/08/15 20:31:59  saq
- use %%_kernelsrcdir
- conditional smp build
- conflicts kernel-smp or -up
- simplified %%install
- release 4
- STB

Revision 1.22  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.21  2001/07/24 12:22:11  saq
- release += @%{_kernel_ver}
- %conflicts_kernel_ver

Revision 1.20  2001/06/02 16:13:21  misiek
- release 3
- devfs support is back

Revision 1.19  2001/05/20 08:57:05  alchemyx
- added patch to enable additional parameters to kernel driver (like AGP speed)
- release 2
- STB

Revision 1.18  2001/05/18 14:26:29  misiek
- need new devfs patch
- updated to 1.0 1251

Revision 1.17  2001/04/29 12:51:45  mkochano
- Updated to 0.9.769.

Revision 1.16  2001/04/24 03:43:24  kloczek
- cosmetics.

Revision 1.15  2001/04/20 08:48:00  misiek
devfs support added

Revision 1.14  2001/04/18 10:19:03  misiek
use rpmcflags

Revision 1.13  2001/04/10 23:16:20  saq
- moved /dev/* to dev.spec
- Requires: dev >= 2.7.7-10

Revision 1.12  2001/03/14 21:08:19  misiek
one Conflicts more

Revision 1.11  2001/03/14 20:09:51  misiek
changed requires >= to conflicts <. Use kgcc when compiling

Revision 1.10  2001/03/14 19:14:20  mkochano
- Updated to 0.9.767.

Revision 1.9  2001/02/28 11:20:09  mkierus
- change mode for /dev/nvi* to 666 (if not only root can use hardware GLX)

Revision 1.8  2001/01/25 20:03:20  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/19 07:44:12  mkochano
- Updated to 0.9.6.

Revision 1.6  2001/01/16 10:30:09  mkochano
- Release 3.
- Takes kernel version from kernel headers, not from running kernel.

Revision 1.5  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.4  2000/10/19 22:47:54  saq
- moved the char-major-195 alias to modutils-aliases.patch

Revision 1.3  2000/10/11 11:13:06  wiget
fixed Source URI

Revision 1.2  2000/10/10 20:18:47  kloczek
- cosmetics and make spec %%{debug} ready.

Revision 1.1  2000/10/10 18:50:57  saq
- initital release
